--COMBAT_LOG_EVENT_UNFILTERED
--Made to test DHT tank trinket
function(e, ...)
	local se = select(2, ...)
	if se == "SWING_DAMAGE" then
		local dmg = select(12, ...)
		local crit = select(18, ...)
		local target = select(9, ...)
		print(dmg, target, crit)
		if crit == false and target == UnitName("player") then
			aura_env.swings = aura_env.swings + 1
			aura_env.totaldmg = aura_env.totaldmg + dmg
			return true
		end
	end
end

--DISPLAY
function()
	return aura_env.swings .. "\n" .. aura_env.totaldmg .. "\n" .. aura_env.totaldmg / aura_env.swings
end

--INIT
aura_env.totaldmg = 0
aura_env.averagedmg = 0
aura_env.swings = 0